/* 
- 선택자 주의

 > 하위 선택자(section div) : 부모요소에 포함된 모든 하위요소에 적용
 > 자식 선택자(section > div) : 부모요소에 포함된 바로 아래 자식요소에 적용
*/

/* Layout */
#header {
    background: url("../img/header_bg.jpg") repeat-x center top;
}

#nav {
    background-color: #fcfcfc;
}

#title {
    background-color: #eaf7fd;
}

#contents .container {
    border-left: 1px solid #dbdbdb;
    border-right: 1px solid #dbdbdb;
}

#cont_left {
    float: left;
    width: 250px;
}

#cont_center {
    overflow: hidden;
    margin-right: 250px;
    min-height: 1350px;
    border-left: 1px solid #dbdbdb;
    border-right: 1px solid #dbdbdb;
}

#cont_right {
    position: absolute;
    top: 0;
    right: 0;
    width: 250px;
}

#footer {
    border-top: 1px solid #dbdbdb;
}

/* container */
.container {
    width: 1200px;
    margin: 0 auto;
    position: relative;
}

/* header */
.header {
    height: 327px;
}

.header .header_menu {
    text-align: right;
    font-family: 'Abel', sans-serif;
}

.header .header_menu a {
    color: #fff;
    display: inline-block;
    padding: 8px 0 0 8px;
    transition: color 0.3s ease;
    /* 0.3초간 ease효과  */

}

.header .header_menu a:hover {
    color: #ccc;
}

.header .header_tit {
    text-align: center;
    text-transform: uppercase;
    margin-top: 55px;
    font-family: 'Abel', sans-serif;

}

.header .header_tit h1 {
    font-size: 30px;
    color: white;
    background-color: #51b0dc;
    display: inline-block;
    padding: 5px 30px 5px 30px;
    font-weight: 900;
    letter-spacing: 2px;

    transition: box-shadow 0.25s ease-in-out;
    /* box-shadow에게 transition 적용 */
}

.header .header_tit h1:hover {
    box-shadow:
        inset -10em 0 0 0 #257fac,
        inset 10em 0 0 0 #257fac;
    /*
        - inset : 박스 내부에 적용 
        - 안쪽으로만 반대방향으로(-10em) 수축
        - 색 #257fac
     */
}

.header .header_tit a {
    font-size: 14px;
    color: white;
    background-color: #4a94bf;
    display: inline-block;
    padding: 10px 20px 10px 20px;
    margin-top: -6px;
    font-weight: 400;
    transition: box-shadow 0.25s ease-in;
    /*box-shadow의 효과를 0.25초동안 ease-in-out 효과가 일어나게함 */
}

.header .header_tit a:hover {
    box-shadow:
        inset 0 0 0 5px rgba(75, 154, 191, 0.9),
        inset 0 0 0 100px rgba(0, 0, 0, 0.1);
    /* 테두리 */
}

.header .header_icon {
    text-align: center;
    margin-top: 40px;
    padding-bottom: 45px;
}

.header .header_icon li {
    display: inline;
    margin: 0 0.5rem;
}

.header .header_icon li a {
    position: relative;
    background: #3192bf;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    color: #fff;
    display: inline-block;
    font-size: 35px;
    line-height: 60px;
}

.header .header_icon li i {
    margin-left: -8px;
}


.header .header_icon li a span {
    position: absolute;
    left: 50%;
    top: -40%;
    width: 60px;
    font-size: 10px;
    transform: translateX(-50%);
    line-height: 1.6;
    transition: all 0.3s ease;
    border-radius: 5px 0;
    background-color: #3192bf;
    opacity: 0;
}

.header .header_icon li a span:before {
    content: '';
    position: absolute;
    left: 40%;
    bottom: -5px;
    border-top: 5px solid #3192bf;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
}

.header .header_icon li a:hover span {
    opacity: 1;
    top: -30px;

    /*애니메이션이 top -30px로 올라가는 것으로 출력*/

}

.header .header_icon li a:hover {
    box-shadow:
        inset 0 0 0 2px rgba(152, 211, 238, 0.9),
        /*테두리*/
        inset 0 0 0 3px rgba(0, 0, 0, 0.3);

}

/* nav : 전체 메뉴 */
.nav {
    overflow: hidden;
    padding: 25px 0;
    display: none;
}

.nav>div {
    float: left;
    width: 40%;
}

.nav>div:last-child {
    width: 20%;
}

.nav>div ol {
    overflow: hidden;
}

.nav>div li {
    float: left;
    width: 50%;
    position: relative;
    padding-left: 8px;
    padding-bottom: 3px;
    box-sizing: border-box;
}

.nav>div li:before {
    content: '';
    width: 3px;
    height: 3px;
    background-color: #25a2d0;
    border-radius: 50%;
    position: absolute;
    left: 0;
    top: 10px;
}

.nav>div li a {
    position: relative;
}

.nav>div li a:after {
    content: '';
    width: 1%;
    height: 1px;
    background-color: #25aad0;
    transition: all 0.2s ease-in;
    position: absolute;
    bottom: 0;
    left: 0;
}

.nav>div li:hover a:after {
    width: 100%;
}

.nav>div li:last-child {
    /* 마지막 li는 나눠지면 안됨 */
    width: 100%;
}

.nav>div h3 {
    font-size: 18px;
    color: #25a2d0;
    font-weight: bold;
    margin-bottom: 4px;
}

/* article : 타이틀 */
.title {
    text-align: center;
    position: relative;
}

.title h2 {
    font-family: 'Nanum Brush Script', cursive;
    font-size: 30px;
    color: #0093bd;
    padding-top: 4px;
}

.title .btn {
    position: absolute;
    margin-right: 15px;
    right: 0;
    top: 5px;
    width: 40px;
    height: 40px;
    line-height: 45px;
    background-color: #3192bf;
    color: white;
    font-size: 35px;
    border-radius: 50%;
    transition: all 0.2s ease;
}

.title .btn:hover {
    box-shadow:
        inset 0 0 0 5px rgba(71, 154, 191, 0.9),
        inset 0 0 0 100px rgba(0, 0, 0, 0.1);
}

/* contents */
.column {
    padding: 15px;
    border-bottom: 1px solid #dbdbdb;
}

.column .col_tit {
    font-size: 20px;
    color: #2f7fa6;
    padding-bottom: 2px;
}

.column .col_desc {
    font-size: 12px;
    /* border-bottom : 1px dashed #dbdbdb; */
    padding-bottom: 10px;
    color: #878787;
    line-height: 1.5;
}

.column.col3 {
    border-bottom: none;
}

.column.col6 {
    border-bottom: none;
}

.column.col9 {
    border-bottom: none;
}

/* col 1. 메뉴 */
.menu {}

.menu li {
    position: relative;
}

.menu li a {
    font-size: 16px;
    text-transform: uppercase;
    color: #878787;
    border-bottom: 0.5px solid #dbdbdb;
    padding: 10px;
    display: block;
    transition: box-shadow 0.3s ease, background 0.6s ease;

}

.menu li a:hover {
    box-shadow: inset 190px 0 0 rgba(36, 130, 174, 0.9);
    color: #fff;
    background: rgba(36, 130, 174, 0.9);
}

.menu li a i {
    position: absolute;
    top: 15px;
    right: 10px;
}

/* col 2. 게시판 */

/* notice 1 */
.notice1 {
    position: relative;
}

.notice1 .more {
    position: absolute;
    right: 0;
    top: 3px;
    color: #878787;
    text-transform: uppercase;
    font-size: 10px;
    padding-right: 3px;
}

.notice1 h5 {
    font-size: 14px;
    color: #2f7fa6;
}

.notice1 ul,
.notice2 ul {
    padding-top: 5px;
}


.notice1 li {
    /* 한 줄 요소 */
    position: relative;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-left: 7px;
    /*before 가상요소가 왼쪽에 있으니, left*/
    padding-bottom: 2px;
}

.notice1 li:before {
    content: "";
    width: 3px;
    height: 3px;
    border-radius: 50%;
    background-color: #449ce2;
    position: absolute;
    left: 0;
    top: 8px;
}


/* notice 2 */
.notice2 {
    position: relative;
}

.notice2 .more {
    position: absolute;
    right: 0;
    top: 3px;
    color: #878787;
    text-transform: uppercase;
    font-size: 10px;
    padding-right: 3px;
}

.notice2 h5 {
    font-size: 14px;
    color: #2f7fa6;
}

.notice2 li {
    /* 두 줄 요소 */
    position: relative;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;

    /*-webkit이용*/
    -webkit-line-clamp: 2;

    /* 2줄 효과 : 텍스트 초과시 ... */
    padding-left: 7px;

    /*before 가상요소가 왼쪽에 있으니, left*/
    padding-bottom: 2px;
    max-height: 40px;
}

.notice2 li:before {
    content: "";
    width: 3px;
    height: 3px;
    border-radius: 50%;
    background-color: #449ce2;
    position: absolute;
    left: 0;
    top: 8px;
}

/* blog 1 */
.blog1 img {
    width: 100%;
}

.blog1 .img-retina {
    display: none;
}

/* 화면비율 1.5 이상일 시, retina 활성화 */
@media only screen and (-webkit-min-device-pixel-ratio: 1.5),
only screen and (min-device-pixel-ratio: 1.5),
only screen and (min-resolution: 1.5dppx) {
    .blog1 .img-retina {
        display: initial;
        /*initial : 최초 값*/
    }

    .blog1 .img-normal {
        display: none;
    }
}

/* blog 2 */
.blog2 h5 {
    color: #fff;
    opacity: 0;
    /* 글씨 안보이도록 */
    text-align: center;
    text-transform: uppercase;
    padding: 30px 30px;
}

.blog2 p {
    padding-top: 5px;
}

/* 이미지를 background로 넣는 방법 */
.blog2 .img-retina {
    background-image: url("../img/blog4_@1.jpg");
    /* 기본 4_1.jpg */
    background-size: cover;
    /* 가로세로 딱 맞게 */
}

/* 화면비율 1.5(retina환경) 이상일 시, 2x 활성화 */
@media only screen and (-webkit-min-device-pixel-ratio: 2),
only screen and (min-device-pixel-ratio: 2),
only screen and (min-resolution: 2dppx) {
    .blog2 .img-retina {
        background-image: url("../img/blog4_@2.jpg");
        /* 화면비율 1.5이상 : 4_2.jpg */
    }
}

/* 화면비율 3(모바일 환경) 이상일 시, 3x 활성화 */
@media only screen and (-webkit-min-device-pixel-ratio: 3),
only screen and (min-device-pixel-ratio: 3),
only screen and (min-resolution: 3dppx) {
    .blog2 .img-retina {
        background-image: url("../img/blog4_@3.jpg");
        /* 화면비율 1.5이상 : 4_2.jpg */
    }
}

/* 이미지 슬라이드 */
.slider figure {
    position: relative;
}

.slider figcaption {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
    background-color: rgba(0, 0, 0, 0.5);
    color: #fff;
    font-size: 18px;
}

.slider figcaption em {
    display: block;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 28px;
    font-family: 'Abel', sans-seif;
    opacity: 0;
    /*active 전에는 보이지 않음*/
}

.slider figcaption span {
    display: block;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    opacity: 0;
}

/* 슬라이드 중, 활성화된 이미지 */
.slider .slick-active figcaption em {
    opacity: 1;
    transform: translateX(0);
}

.slider .slick-active figcaption span {
    opacity: 1;
    transform: translateX(0);
}

.slider .slick-dots {
    display: block;
    width: 100%;
    text-align: center;
}

.slider .slick-dots li {
    display: inline-block;
    width: 15px;
    height: 15px;
    margin: 5px;
}

.slider .slick-dots li button {
    transition: background-color 0.5s ease;
    transform: translateX(10px);
}

.slider .slick-dots li.slick-active button {
    background-color: #2b91c8;
}

.slider .slick-dots li button {
    font-size: 0;
    line-height: 0;
    display: block;
    width: 15px;
    height: 15px;
    cursor: pointer;
    background-color: #5dbfeb;
    border-radius: 50%;
}

.slider .slick-prev {
    background-color: #5dbfeb;
    color: #fff;
    position: absolute;
    display: inline-block;
    left: 0;
    bottom: 0;
    z-index: 1000;
    width: 70px;
    height: 30px;
    cursor: pointer;
}

.slider .slick-prev:hover {
    font-weight: bold;
}

.slider .slick-next {
    background-color: #5dbfeb;
    color: #fff;
    position: absolute;
    display: inline-block;
    right: 0;
    bottom: 0;
    z-index: 1000;
    width: 70px;
    height: 30px;
    cursor: pointer;
}

.slider .slick-next:hover {
    font-weight: bold;
}

/* lightbox */
.square a {
    float: left;
    width: 19%;
    margin: 0.5%;
    position: relative;
}

.square a img {
    width: 100%;
}

.square a em {
    background-color: rgba(0, 0, 0, 0.3);
    color: #fff;
    width: 100%;
    text-align: center;
    position: absolute;
    left: 0;
    opacity: 0;
    transition: all .4s ease;
    bottom: -30px;
}

.square a:hover em {
    background-color: rgba(0, 0, 0, 0.7);
    bottom: 6px;
    opacity: 1;
}

.square a:nth-child(1):hover img {
    filter: blur(2px);
}

.square a:nth-child(2):hover img {
    filter: brightness(50%);
}

.square a:nth-child(3):hover img {
    filter: contrast(10%);
}

.square a:nth-child(4):hover img {
    filter: grayscale(100%);
}

.square a:nth-child(5):hover img {
    filter: hue-rotate(120deg);
}

.square a:nth-child(6):hover img {
    filter: invert(100%);
}

.square a:nth-child(7):hover img {
    filter: opacity(70%);
}

.square a:nth-child(8):hover img {
    filter: saturate(10%);
}

.square a:nth-child(9):hover img {
    filter: sepia(120%);
}

.square a:nth-child(10):hover img {
    filter: sepia(120%) hue-rotate(120deg);
}

/* iframe*/
.video {
    width: 100%;
    position: relative;
    padding-bottom: 60%;
    overflow: hidden;
}

.video iframe {
    position: absolute;
    width: 100%;
    height: 100%;
}

/* footer */
.footer {
    text-align: center;
    padding: 15px 10px;
    line-height: 2;
}

.footer li {
    display: inline;
    padding: 0 10px;
    white-space: nowrap;
    position: relative;
}

.footer li:before {
    content: '';
    height: 10px;
    width: 1px;
    background-color: #dbdbdb;
    position: absolute;
    left: 0;
    top: 2px;
}

.footer li:first-child:before {
    width: 0;
}


.footer address {
    padding-top: 20px;
}

/* 사이드 이펙트 1 */
.side1 {
    position: relative;
    perspective: 600px;

    /*애니메이션 상위박스에 원근법 적용 : z-index 변화를 느낄 수 있음*/
    display: block;
}

.side1 .front {
    /*앞면*/
    transform-style: preserve-3d;
    /*3D*/
    transform: rotateY(0deg);
    /*가만히 있다가 마우스 hover시 돌아감*/
    transition: all 0.5s ease-in-out;
    backface-visibility: hidden;
    /* 요소 뒷면을 보이지 않게 */
}

.side1 .back {
    /*뒷면*/
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    /*z축 좌표로 -이동 : 가려져서 안보임*/
    z-index: -1;

    transform-style: preserve-3d;

    /*3D*/
    color: #fff;
    background-color: #4038dc;
    transition: all 0.5s ease-in-out;
    transform: rotateY(-180deg);

    /* 요소 뒷면을 보이지 않게 */
    backface-visibility: hidden;
}

.side1 .back i {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    font-size: 60px;
    /*
    transform:translate() - 지정 요소 X 또는 Y축으로 이동
    translate는 요소를 지정한 위치로 X 또는 Y축만큼 이동
    */
}

.side1:hover .front {
    transform: rotateY(180deg);
}

.side1:hover .back {
    transform: rotateY(0deg);
    z-index: 1;
    /*앞으로 이동*/
}

/* 사이드 이펙트 2 */
.side2 {
    position: relative;
    /* display: block; */
    perspective: 600px;
}

.side2 .front {
    transform-style: preserve-3d;
    transform: rotateY(0deg);
    transition: all 0.5s ease-in-out;
    backface-visibility: hidden;
    z-index: 0;
}

.side2 .back {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transform-style: preserve-3d;
    transform: rotateY(180deg);
    transition: all 0.5s ease-in-out;
    backface-visibility: hidden;
    width: 100%;
    height: 100%;

}

.side2 .front figcaption {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%) translateZ(100px);
    /*중앙이동 + 텍스트는 붕 떠있는 느낌르오*/
    text-align: center;
}

.side2 .back figcaption {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%) translateZ(100px);
    /*중앙이동 + 텍스트는 붕 떠있는 느낌으로 전환*/
    text-align: center;
    /* display: black; */
}

.side2 figcaption {
    width: 60%;
}

.side2 figcaption h3 {
    color: #fff;
    font-size: 22px;
    font-family: Abel;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0.4);

}

.side2:hover .front {
    transform: rotateY(-180deg);
}

.side2:hover .back {
    transform: rotateY(0deg);
    z-index: 1;

}

/* 사이드 이펙트 3 */
.side3 {
    position: relative;
    background-color: #fff;
}

.side3 h3 {
    font-size: 16px;
}

.side3 h3 em {
    display: block;
    /* hover /n effect효과가 나타나게 */
    font-weight: bold;
}

.side3 img {
    transition: all 0.3s ease;
}

.side3:hover img {
    opacity: 0.4;
}

.side3 figcaption {
    position: absolute;
    top: 50%;
    left: 50%;

    /*x축으로 350%만큼 이동, y축으로 -50%만큼 이동*/
    /*rotate : 180도 회전, rotatey : 180도 좌우대칭 */
    transform: translate(350%, -50%) rotate(180deg);
    opacity: 0;
    text-transform: uppercase;
    color: #fff;
    text-align: center;
    transition: all 0.3s ease;
}

.side3 figcaption::before {
    /*figcaption과 h3사이에 위치*/
    content: '';
    width: 100px;
    height: 100px;
    background-color: #000;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: -1;
    transform: translate(-50%, -50%);

}

.side3:hover figcaption {
    /*x축으로 -50%만큼 이동, y축으로 -50%만큼 이동*/
    /*rotate : 0도상태로 다시 회전 */
    transform: translate(-50%, -50%) rotate(0deg);
    opacity: 1;

}

/* mediaquery ^/
/* 화면 너비 : 0~1200px */
@media (max-width : 1220px) {
    .container {
        width: 100%;
    }

    .row {
        padding: 0 20px;
    }

    #contents .container {
        border: 0;
    }

    .square a {
        width: 24%;
    }

    .square a:nth-child(5n) {
        display: none;
    }

}

/* 화면 너비 : 0~1024px */
@media (max-width : 1024px) {
    .square a {
        width: 32.3333%;
    }

    .square a:nth-child(5) {
        display: block;
    }
}

/* 화면 너비 : 0~960px */
@media (max-width : 960px) {
    .nav>div {
        float: none;
        width: 100%;
    }

    .nav>div:last-child {
        width: 100%;
    }

    .nav>div li {
        width: 33.3333%;
    }

    .nav>div li:last-child {
        width: 33.3334%;
    }

    .nav>div ol {
        margin: 10px 0;
    }

    .slider figure {
        padding: 10px;
    }

    .slider figure em {
        font-size: 15px;
    }

    .slider figure span {
        font-size: 11px;
    }
}


/* 화면 너비 : 0~768px */
@media (max-width : 768px) {
    #cont_left {
        width: 33.33333%;
    }

    #cont_center {
        width: 33.33333%;
    }

    #cont_right {
        width: 33.33333%;
    }

    .menu {
        width: 100%;
    }
}


/* 화면 너비 : 0~600px */
@media (max-width : 600px) {

    .header {
        height: auto;
        /* height 값 깨기 */
    }

    .header .header_tit {
        display: none;
    }

    .header .header_icon {
        display: none;
    }

    .nav>div li {
        width: 50%;
    }

    .nav>div li:last-child {
        width: 50%;
    }

    .title .btn {
        display: none;
    }

    #cont_left {
        float: none;
        width: 100%;
        height: 10%;
    }

    #cont_center {
        width: 100%;
        height: 10%;
    }

    #cont_right {
        position: static;
        width: 100%;
        height: 10%;
    }

    .slider figure {
        padding: 10px;
    }

    .slider figure em {
        font-size: 18px;
    }

    .slider figure span {
        font-size: 12px;
    }

    .square a {
        width: 49%;
    }

    .square a:nth-child(5) {
        display: none;
    }

    #cont_right {
        overflow: hidden;
    }

    #cont_right .column {
        float: left;
        width: 33.333333%;
        box-sizing: border-box;
    }

    .column.col3 {
        border-bottom: 1px solid #dbdbdb;
    }

    .column.col6 {
        border-bottom: 1px solid #dbdbdb;
    }

    .column.col9 {
        border-bottom: 1px solid #dbdbdb;
    }

    #cont_right .column.col7,
    .column.col8 {
        border-right: 1px solid #dbdbdb;
        /* border-bottom: 0; */
    }
}

/* 화면 너비 : 0~480px */
@media (max-width : 480px) {}


/* 화면 너비 : 0~320px */
@media (max-width : 320px) {
    .nav>div li {
        width: 100%;
    }

    .nav>div li:last-child {
        width: 100%;
    }

    .square a {
        width: 99%;
    }

    .square a:nth-child(5n) {
        display: block;
    }


    #cont_right .column {
        float: none;
        width: 100%;
    }

    #cont_right .column.col7,
    .column.col8 {
        border-right: 0;
        border-bottom: 1px solid #dbdbdb;
    }


}